API documentation

List vulnerabilities

Known vulnerabilities on the internet-facing side of your monitored and verified domains: CVEs on exposed services and matched from software versions, plus end-of-life versions. No active scanning is performed.

GET/v1/vulnerabilities
GETList vulnerabilities
curl -X GET "https://api.darkradar.com/api/public/v1/vulnerabilities" \
  -H "x-api-key: $DARKRADAR_API_KEY"
Response

Success

{
  "success": true,
  "data": {
    "items": [
      {
        "id": "64b1f0c2a9e4d21f8c3b9a50",
        "assetId": "64b1f0c2a9e4d21f8c3b9a20",
        "alanAdi": "www.darkradar.com",
        "tur": "cve",
        "kod": "CVE-2021-23017",
        "kaynak": "surum-cve",
        "urun": "nginx",
        "surum": "1.18.0",
        "onem": "high",
        "kev": false,
        "epss": 0.02,
        "durum": "open",
        "gorunur": true,
        "ilkGorulme": "2026-10-01T00:00:00.000Z",
        "sonGorulme": "2026-10-04T00:00:00.000Z",
        "kaybolma": null
      }
    ],
    "total": 1,
    "olculenVarlik": 3
  }
}

Access

Scopewatch:read
Plan entitlementintel_customer

Query parameters

FieldsValues
durum · string · optionalStatus · Values: open, acknowledged, mitigated, accepted, false_positive · Example: open
onem · string · optionalSeverity · Values: low, medium, high, critical, unknown · Example: high
tur · string · optionalRecord type · Values: cve, eol · Example: cve
kev · boolean · optionalOnly actively exploited (CISA KEV) · Example: true
gorunur · boolean · optionalOnly records still visible · Example: true
assetId · string · optionalFilter by asset · Example: 64b1f0c2a9e4d21f8c3b9a20
q · string · optionalText search (code, product, domain) · Example: nginx
sirala · string · optionalSort order · Values: oncelik, onem, epss, ilkGorulme · Example: oncelik
sayfa · integer · optionalPage number · Example: 1
boyut · integer · optionalResults per page (max 500) · Example: 50

Responses

200Success
400Invalid request (malformed id, missing or invalid field)
401Key missing, invalid, expired or revoked
403Insufficient scope, no API access in plan, or product not enabled
404Record not found or not owned by this key’s firm
408The request exceeded its maximum response time
429Rate limit exceeded; retry after a minute

Response limits

Rate limit500 requests per 15 min · per IP

Was this page helpful?